package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class TcustpersonpersonalreferenceDTO implements Serializable {

    private static final long serialVersionUID = 900160076984542L;

    private Integer tcustpersonpersonalreferencePK;

    private java.util.Date datefrom;

    private Integer recordversion;

    private String name;

    private String remark;

    private Integer tcustperson;

    private Integer referencepersoncode;

    private Integer tgenecatalogdetail;

    private Integer modifyusercode;

    private Integer ingressusercode;

        public Integer getTcustpersonpersonalreferencePK() {
    return tcustpersonpersonalreferencePK;
    }

        public void setTcustpersonpersonalreferencePK(Integer tcustpersonpersonalreferencePK) {
    this.tcustpersonpersonalreferencePK = tcustpersonpersonalreferencePK;
    }

        public java.util.Date getDatefrom() {
    return datefrom;
    }

        public void setDatefrom(java.util.Date datefrom) {
    this.datefrom = datefrom;
    }

        public Integer getRecordversion() {
    return recordversion;
    }

        public void setRecordversion(Integer recordversion) {
    this.recordversion = recordversion;
    }

        public String getName() {
    return name;
    }

        public void setName(String name) {
    this.name = name;
    }

        public String getRemark() {
    return remark;
    }

        public void setRemark(String remark) {
    this.remark = remark;
    }

        public Integer getTcustperson() {
    return tcustperson;
    }

        public void setTcustperson(Integer tcustperson) {
    this.tcustperson = tcustperson;
    }

        public Integer getReferencepersoncode() {
    return referencepersoncode;
    }

        public void setReferencepersoncode(Integer referencepersoncode) {
    this.referencepersoncode = referencepersoncode;
    }

        public Integer getTgenecatalogdetail() {
    return tgenecatalogdetail;
    }

        public void setTgenecatalogdetail(Integer tgenecatalogdetail) {
    this.tgenecatalogdetail = tgenecatalogdetail;
    }

        public Integer getModifyusercode() {
    return modifyusercode;
    }

        public void setModifyusercode(Integer modifyusercode) {
    this.modifyusercode = modifyusercode;
    }

        public Integer getIngressusercode() {
    return ingressusercode;
    }

        public void setIngressusercode(Integer ingressusercode) {
    this.ingressusercode = ingressusercode;
    }

}